// SPDX-FileCopyrightText: 2022 Johannes Loher
//
// SPDX-License-Identifier: MIT

import { DS4Actor } from "../actor";

import type { ItemType } from "../../item/item-data-source";

export class DS4Creature extends DS4Actor {
  override get ownableItemTypes(): Array<ItemType> {
    return [...super.ownableItemTypes, "specialCreatureAbility"];
  }
}
